import { C as i } from "./9869e60a.js";
import { ColumnValueTooltip as m } from "./d404aae1.js";
import { V as l, P as s, bh as u, a0 as p, bW as f, bS as r, ba as e, w as h } from "./684d2f28.js";
import { formatDate as a, DateEdit as c } from "./7a630f06.js";
import "react";
import "./b1144c16.js";
import "react-dom";
import "./926d8ea1.js";
import "./d6402597.js";
const C = {
  text: e,
  format: h(e, r)
}, o = (t) => t.text, y = function() {
  return new i(C, (t, d) => {
    const n = t.changeValue ?? o(t);
    return a(n, t.format);
  }, (t) => a(t.text.value, t.format.value), o).setEditViewFn((t) => /* @__PURE__ */ l(c, {
    value: t.value,
    onChange: t.onChange,
    onChangeEnd: t.onChangeEnd,
    showTime: !0
  })).setPropertyViewFn((t) => /* @__PURE__ */ s(u, {
    children: [t.text.propertyView({
      label: p("table.columnValue"),
      tooltip: m
    }), f({
      children: t,
      placeholder: r
    })]
  })).build();
}();
export {
  y as DateTimeComp
};
